%define name	bluefish
%define version 0.7
%define release 2mdk


Summary:	A WYSIWYG GPLized HTML editor
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source:		http://bluefish.openoffice.nl/download/%{name}-%{version}.tar.bz2
Source1:	icons-%{name}.tar.bz2
#(deush) english locale en is en_GB
Patch:		bluefish-0.7-locale.patch.bz2
Patch1:		bluefish-0.7-netscape-now-mozilla.patch.bz2
URL:		http://bluefish.openoffice.nl
License:	GPL
Group:		Networking/WWW
BuildRequires:  gtk+-devel >= 1.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Bluefish is a programmer's HTML editor, designed to save the experienced
webmaster some keystrokes.

It features a multiple file editor, multiple toolbars, custom menus, image
and thumbnail dialogs,  open from the web, HTML validation and lots of wizards.

It is in continuous development, but it's already one of the best WYSIWYG HTML
editors. 
                                                                                               
%prep

%setup -q
%patch -p1 -b .locale
%patch1 -p1 -b .netscape

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}  --without-install-location \
	   --disable-bluefish-datadir 

%make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/

make prefix=$RPM_BUILD_ROOT%{_prefix} \
	install pixmapsdir=$RPM_BUILD_ROOT%{_datadir}/pixmaps \
	        pkgdatadir=$RPM_BUILD_ROOT%{_libdir}/bluefish 

mkdir -p $RPM_BUILD_ROOT%{_libdir}/bluefish
install -c -m 644 ./data/php3_functions $RPM_BUILD_ROOT%{_libdir}/bluefish/
install -c -m 644 ./data/ssi_functions $RPM_BUILD_ROOT%{_libdir}/bluefish/
install -c -m 644 ./data/rxml_functions $RPM_BUILD_ROOT%{_libdir}/bluefish/

#mdk menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(bluefish): command="bluefish" icon="bluefish.png" needs="x11" title="BlueFish" longtitle="Beautiful GPLized HTML editor" section="Networking/WWW"
EOF

install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE1} -C  $RPM_BUILD_ROOT%{_iconsdir}
 
install -m 644 man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc README BUGS AUTHORS ChangeLog NEWS TODO
%{_bindir}/*
%{_menudir}/*
%{_mandir}/man1/*
%{_libdir}/bluefish
%{_iconsdir}/*

%changelog
* Thu Mar  7 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.7-2mdk
- view with Netscape -> view with Mozilla, convert icon to png

* Fri Dec 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7-1mdk
- The shiny 0.7.

* Mon Oct 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6-4mdk
- Rebuild for the new libpng3.

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6-3mdk
- Sanity build for 8.1.

* Sat Apr 21 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6-2mdk
- Fix the build (Problem originally discovered on mdk.alphadriven.org).

* Sun Dec 24 2000  Daouda Lo <daouda@mandrakesoft.com> 0.6-1mdk
- release 
- patch should be applied with -p1 
- more translations (br, hu, pl)
- many bug fixes 

* Mon Nov 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5-8mdk
- gtk+-devel ! gtk+ for buildrequires (isuck).

* Mon Nov 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5-7mdk
- add gtk+ as buildrequires as asked by Dadou.

* Sat Oct 07 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5-6mdk
- fix icons

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 0.5-5mdk
- Use optimizations
- Fix Summary and Description
- Fix group and menu entry

* Tue Sep 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5-4mdk
- shrink the icon.

* Fri Aug 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-3mdk
- fix menu entry (reported by Guillaume Rousse)
- update menu entry version

* Thu Aug 24 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- uses find_lang for locale files
- moved configure call to build section
- fixed english locale file

* Thu Aug 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5-1mdk
- _menudir.
- update menus and clean menus macro.
- a very new and shiny version.

* Tue Aug 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-2mdk
- BM
- macros

* Tue May 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- fix install of pixmaps
- used srpm provided by Geoffrey Lee <snailtalk@linux-mandrake.com>

* Fri Apr 28 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.3.6-2mdk
- minor change to description, the best html editor is cat and ^D ;-)
- URL for it
- add url for source
- change location of file, stuff shouldn't go in /usr/local

* Wed Apr 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3.6-1mdk
- release.
- SMP build check.
- package should be relocatable
- add menu entry with icon.

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-2mdk 
- fix group

* Tue Sep  7 1999 Daouda LO <daouda@mandrakesoft.com> 0.3.2-1mdk
- First spec file for Mandrake distribution.
-Mandrake Adaptations
